# Kassenzettel

Kassenzettel is a web application for managing recipes and shopping lists. It consists of a Django server for the backend and a React frontend for the user interface.

## Installation

1. Clone the repository:

   ```
   git clone https://github.com/username/kassenzettel.git
   ```

2. Install the Python dependencies:

   ```
   cd receipeServer
   pip install -r requirements.txt
   ```

3. Install the Node.js dependencies:

   ```
   cd reactFrontend
   yarn install
   ```

## Usage

1. Start the Django server:

   ```
   cd receipeServer
   python manage.py qcluster
   python manage.py runserver
   ```

2. Start the React frontend:

   ```
   cd reactFrontend
   yarn start
   ```

3. Open the application in a web browser:

   ```
   http://localhost:3000/
   ```

## Updating

To update the frontend packages, run:

```
cd ../reactFrontend
yarn upgrade
```

## License

This project is licensed under the [MIT License](LICENSE).